Package org.apache.catalina.util

## Class ErrorPageSupport

- java.lang.Object
- - org.apache.catalina.util.ErrorPageSupport

    public class ErrorPageSupport
    extends java.lang.Object

Provides support for tracking per exception type and per HTTP status code error pages.

### Constructor Summary

Constructors
`ErrorPageSupport()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `add​(ErrorPage errorPage)`
`ErrorPage` `find​(int statusCode)`
`ErrorPage` `find​(java.lang.String exceptionType)` Find the ErrorPage, if any, for the named exception type.
`ErrorPage` `find​(java.lang.Throwable exceptionType)`
`ErrorPage[]` `findAll()`
`void` `remove​(ErrorPage errorPage)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ErrorPageSupport

    public ErrorPageSupport()

### Method Detail

#### add

    public void add​(ErrorPage errorPage)

#### remove

    public void remove​(ErrorPage errorPage)

#### find

    public ErrorPage find​(int statusCode)

#### find

    public ErrorPage find​(java.lang.String exceptionType)

Find the ErrorPage, if any, for the named exception type.

Parameters:
  `exceptionType` - The fully qualified class name of the exception type
Returns:
  The ErrorPage for the named exception type, or `null` if none is configured

#### find

    public ErrorPage find​(java.lang.Throwable exceptionType)

#### findAll

    public ErrorPage[] findAll()